<!doctype html>
<html>
  <head>
    <title>hook-carousel demo</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1, user-scalable=yes">
    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>

    <link rel="import" href="../../iron-demo-helpers/demo-pages-shared-styles.html">
    <link rel="import" href="../../iron-demo-helpers/demo-snippet.html">

    <link rel="import" href="../hook-carousel.html">

    <style is="custom-style" include="demo-pages-shared-styles">
      .demo-layout {
        width: 100%;
        max-width: 960px;
        margin: 0 auto;
      }
    </style>
  </head>

  <body>

    <div class="demo-layout">

      <h3>Basic &#60;hook-carousel&#62; Demo</h3>
      <demo-snippet>
        <template>
          <hook-carousel>
            
            <img src="http://placekitten.com/g/500/300" alt="carousel images">
            <img src="http://placekitten.com/g/600/400" alt="">
            <img src="http://placekitten.com/g/700/400" alt="">
            <img src="http://placekitten.com/g/600/500" alt="">

          </hook-carousel>
        </template>
      </demo-snippet>

      <h3>&#60;hook-carousel fluid&#62; Demo</h3>
      <demo-snippet>
        <template>
          <hook-carousel fluid>
            
            <img src="http://placekitten.com/g/500/300" alt="carousel images">
            <img src="http://placekitten.com/g/600/400" alt="">
            <img src="http://placekitten.com/g/700/400" alt="">
            <img src="http://placekitten.com/g/600/500" alt="">

          </hook-carousel>
        </template>
      </demo-snippet>

      <h3>&#60;hook-carousel width="1280" height="530" fluid indicators&#62; with indicators Demo</h3>
      <demo-snippet>
        <template>
          <hook-carousel width="1280" height="530" fluid indicators>
            
            <img src="http://placekitten.com/g/500/300" alt="carousel images">
            <img src="http://placekitten.com/g/600/400" alt="">
            <img src="http://placekitten.com/g/700/400" alt="">
            <img src="http://placekitten.com/g/600/300" alt="">

          </hook-carousel>
        </template>
      </demo-snippet>

      <h3>&#60;hook-carousel width="1280" height="530" fluid locked&#62; locked direction Demo</h3>
      <demo-snippet>
        <template>
          <hook-carousel width="1280" height="530" fluid indicators locked>
            
            <img src="http://placekitten.com/g/500/300" alt="carousel images">
            <img src="http://placekitten.com/g/600/400" alt="">
            <img src="http://placekitten.com/g/700/400" alt="">
            <img src="http://placekitten.com/g/600/300" alt="">

          </hook-carousel>
        </template>
      </demo-snippet>

      <h3>&#60;hook-carousel width="1280" height="530" fluid fade-in-out&#62; fade-in-out Demo</h3>
      <demo-snippet>
        <template>
          <hook-carousel width="1280" height="530" fluid indicators fade-in-out>
            
            <img src="http://placekitten.com/g/500/300" alt="carousel images">
            <img src="http://placekitten.com/g/600/400" alt="">
            <img src="http://placekitten.com/g/700/400" alt="">
            <img src="http://placekitten.com/g/600/300" alt="">

          </hook-carousel>
        </template>
      </demo-snippet>

      <h3>&#60;hook-carousel width="1280" height="530" fluid indicators arrows&#62; with indicators and arrows Demo</h3>
      <demo-snippet>
        <template>
          <hook-carousel width="1280" height="530" fluid indicators arrows>
            
            <img src="http://placekitten.com/g/500/300" alt="carousel images">
            <img src="http://placekitten.com/g/600/400" alt="">
            <img src="http://placekitten.com/g/700/400" alt="">
            <img src="http://placekitten.com/g/600/300" alt="">

          </hook-carousel>
        </template>
      </demo-snippet>

      <h3>&#60;hook-carousel width="1280" height="530" fluid indicators autoplay&#62; with autoplay Demo</h3>
      <demo-snippet>
        <template>
          <hook-carousel width="1280" height="530" fluid indicators autoplay transition-time="2000">
            
            <img src="http://placekitten.com/g/500/300" alt="carousel images">
            <img src="http://placekitten.com/g/600/400" alt="">
            <img src="http://placekitten.com/g/700/400" alt="">
            <img src="http://placekitten.com/g/600/300" alt="">

          </hook-carousel>
        </template>
      </demo-snippet>

    </div>

  </body>
</html>
